UpdateDataMessageHandler
Keywords: uk.ac.ic.doc.automed.p2p.UpdateDataMessageHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class UpdateDataMessageHandler

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
          uk.ac.ic.doc.automed.p2p.UpdateDataMessageHandler

All Implemented Interfaces:
  RequestListener, MessageHandlable

    public class UpdateDataMessageHandler

extends AbstractRequestListener
implements MessageHandlable

Constructor Summary
`UpdateDataMessageHandler(AutoMedPeer peer)` Creates a new instance of UpdateDataMessageHandler

Method Summary
`static java.lang.String` | `getType()` Return this class type
`void` | `handleMessage(java.util.Map mesgData)` Implements the `MessageHandlable` interface
`void` | `handleRequest(byte[] dataReceived)` Overrides `AbstractRequestListener` method to handler TCP response

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
`handleRequest, handleUDPRequest, handleUDPRequest, handleUDPRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateDataMessageHandler

    public UpdateDataMessageHandler(AutoMedPeer peer)

  Creates a new instance of UpdateDataMessageHandler

  Parameters:
    `peer` - an `AutoMedPeer` object

Method Detail

### handleMessage

    public void handleMessage(java.util.Map mesgData)
                       throws AutoMedException

  Implements the `MessageHandlable` interface

  Specified by:
    `handleMessage` in interface `MessageHandlable`
  Parameters:
    `mesgData` - a `Map` object of message data
  Throws:
    `AutoMedException`

### handleRequest

    public void handleRequest(byte[] dataReceived)
                       throws CommunicationException

  Overrides `AbstractRequestListener` method to handler TCP response

  Specified by:
    `handleRequest` in interface `RequestListener`
  Overrides:
    `handleRequest` in class `AbstractRequestListener`
  Throws:
    `CommunicationException`

### getType

    public static java.lang.String getType()

  Return this class type

  Returns:
    String class type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD